%define objprelink 1

Name: zapping
Version: 0.6.5
Release: alt1
Summary: Zapping - A GNOME TV viewer
License: GPL
Group: Video
URL: http://zapping.sourceforge.net
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Requires: zvbi 

Source0: %name-%version.tar.bz2

# Automatically added by buildreq on Tue Nov 19 2002
BuildRequires: ORBit-devel XFree86-devel-static XFree86-libs consolehelper esound-devel fontconfig-devel freetype2 gdk-pixbuf-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libarts-devel libaudiofile-devel libdb1-devel libexpat libglade-devel libjpeg-devel liblirc-devel libpng-devel librte-devel libunicode-devel libxml-devel libzvbi-devel xpm-devel zlib-devel

%description
Zapping - TV viewer following V4L2 spec (not compiled into
the Kernel by default) from scratch, but trying to make it as complete
as possible. This is the latest version of that software.

%prep
%setup -q -n %name-%version

%build
./configure \
	--prefix=%_prefix \
	--enable-shared \
	--disable-rpath \
	--disable-static \
	--disable-debug \
	--enable-v4l \
	--with-x

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install
%set_verify_elf_method relaxed

#icons
mkdir %buildroot%_iconsdir
cp %buildroot%_datadir/pixmaps/%name/gnome-television.png %buildroot%_iconsdir/%name.png

#create menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title="Zapping TV" \
longtitle="Zapping TV viewer" \
needs="x11" \
icon="%name.png" \
section="Multimedia/Video" 
EOF
)

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files  -f %name.lang
%doc COPYING NEWS README INSTALL ChangeLog
%_bindir/zapping
%_bindir/zapping*
%_sysconfdir/pam.d/*
%_sysconfdir/security/console.apps/*
%_sbindir/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
%_libdir/%name/plugins/*
%_prefix/man/man1/*
%_datadir/gnome/apps/Multimedia/*.desktop
%dir %_datadir/gnome/help/%name
%dir %_datadir/gnome/help/%name/C
%_datadir/gnome/help/%name/C/*
%dir %_datadir/gnome/help/%name/de
%_datadir/gnome/help/%name/de/*
%dir %_datadir/pixmaps/%name
%_datadir/pixmaps/%name/*
%dir %_datadir/%name
%_datadir/%name/*
%_menudir/%name
%_iconsdir/*

%changelog
* Sat Nov 16 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 0.6.5-alt1
- 0.6.5

- specfile cleanup

